Package twisted :: Package protocols :: Module sip :: Class RegisterProxy

[frames | no frames]

## Class RegisterProxy

    AbstractDatagramProtocol --+
                               |
                DatagramProtocol --+
                                   |
                                Base --+
                                       |
                                   Proxy --+
                                           |
                                          RegisterProxy

A proxy that allows registration for a specific domain.

Unregistered users won't be handled.

Method Summary
| `__init__(self, *args, **kw)`
| `_cbLogin(self, (i, a, l), message, host, port)`
| `_cbRegister(self, registration, message)`
| `_cbUnregister(self, registration, message)`
| `_ebLogin(self, failure, message, host, port)`
| `_ebRegister(self, error, message)`
| `_ebUnregister(self, registration, message)`
| `handle_ACK_request(self, message, (host, port))`
| ``handle_REGISTER_request`(self, message, (host, port))` Handle a registration request.
| `login(self, message, host, port)`
| ``register`(self, message, host, port)` Allow all users to register
| `unauthorized(self, message, host, port)`
| `unregister(self, message, toURL, contact)`
Inherited from Proxy
| ``_cantForwardRequest`(self, error, message)`
| ``deliverResponse`(self, responseMessage)` Deliver response.
| ``getVia`(self)` Return value of Via header for this proxy.
| ``gotResponse`(self, message, addr)` Called with responses that are addressed at this server.
| ``handle_request`(self, message, addr)` Override to define behavior for requests received
| ``handle_request_default`(self, message, (srcHost, srcPort))` Default request handler.
| ``handle_response`(self, message, addr)` Default response handler.
| ``responseFromRequest`(self, code, request)` Create a response to a request message.
Inherited from Base
| ``_fixupNAT`(self, message, (srcHost, srcPort))`
| ``addMessage`(self, msg)`
| ``datagramReceived`(self, data, addr)`
| ``sendMessage`(self, destURL, message)` Send a message.
Inherited from DatagramProtocol
| ``connectionRefused`(self)` Called due to error from write in connected mode.
Inherited from AbstractDatagramProtocol
| ``__getstate__`(self)`
| ``doStart`(self)` Make sure startProtocol is called.
| ``doStop`(self)` Make sure stopProtocol is called.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
| ``startProtocol`(self)` Called when a transport is connected to this protocol.
| ``stopProtocol`(self)` Called when the transport is disconnected.

Class Variable Summary
`dict` | `authorizers` = `{'digest': <twisted.protocols.sip.DigestAu...`
`NoneType` | `portal` = None
`NoneType` | `registry` = None
Inherited from Proxy
`NoneType` | `locator` = None
`int` | `PORT` = 5060
Inherited from Base
`int` | `debug` = 0
Inherited from AbstractDatagramProtocol
`int` | `noisy` = 1
`int` | `numPorts` = 0
`NoneType` | `transport` = None

Method Details

### handle_REGISTER_request(self, message, (host, port))

Handle a registration request.

Currently registration is not proxied.

### register(self, message, host, port)

Allow all users to register

Class Variable Details

### authorizers

  Type:
    `dict`
  Value:

        {'digest': <twisted.protocols.sip.DigestAuthorizer instance at 0x87ae9\
        8c>}

### portal

  Type:
    `NoneType`
  Value:

        None

### registry

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:00 2004 | http://epydoc.sf.net